Flexi Pages Widget update. v1.6.1

Flexi Pages Widget updated to version 1.6.1.

  • Fixed the include/hierarchy issue
  • ‘current_page_ancestor’ and ‘current_page_parent’ classes shown.

At least one major issue has been fixed in this release. There may still be issues with this version. If so, your feedback welcome.

Versions 1.5.10 and older used the wp_list_pages() function to generate the pages list. But from v1.6, we have our own function to generate the list, we don’t use wp_list_pages() anymore. So the latest version of our plugin may not work well with certain other plugins that acts on or filters wp_list_pages(). In case you use FP Widget with such a plugin, you can always download and use an older version of Flexi Pages Widget plugin.

One thought on “Flexi Pages Widget update. v1.6.1”

  1. Nice and thanks for the bugfix for the ancestor/parent problem!

    I still think there is a bug: any archive page is a child of the blogpage, so the blogpage-menu-item should be highlighted in the menu (be marking it with classes “current_page_ancestor current_page_parent”).

    Kind regards,

    Jan

Comments are closed.